SDL_xinputjoystick.c File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysjoystick.h"`
Include dependency graph for SDL_xinputjoystick.c:

Go to the source code of this file.

## Functions

SDL_bool | SDL_XINPUT_Enabled (void)
int | SDL_XINPUT_JoystickInit (void)
void | SDL_XINPUT_JoystickDetect (JoyStick_DeviceData **pContext)
int | SDL_XINPUT_JoystickOpen (SDL_Joystick *joystick, JoyStick_DeviceData *joystickdevice)
void | SDL_XINPUT_JoystickUpdate (SDL_Joystick *joystick)
void | SDL_XINPUT_JoystickClose (SDL_Joystick *joystick)
void | SDL_XINPUT_JoystickQuit (void)

## Function Documentation

SDL_bool SDL_XINPUT_Enabled | ( | void |  | ) |

Definition at line 386 of file SDL_xinputjoystick.c.

References SDL_FALSE.

{
return SDL_FALSE;
}
SDL_FALSE
Definition: SDL_stdinc.h:128

void SDL_XINPUT_JoystickClose | ( | SDL_Joystick * | joystick | ) |

Definition at line 414 of file SDL_xinputjoystick.c.

{
}

void SDL_XINPUT_JoystickDetect | ( | JoyStick_DeviceData ** | pContext | ) |

Definition at line 398 of file SDL_xinputjoystick.c.

{
}

int SDL_XINPUT_JoystickInit | ( | void |  | ) |

Definition at line 392 of file SDL_xinputjoystick.c.

{
return 0;
}

int SDL_XINPUT_JoystickOpen | ( | SDL_Joystick * | joystick,
|  | JoyStick_DeviceData * | joystickdevice
| ) |  |

Definition at line 403 of file SDL_xinputjoystick.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

void SDL_XINPUT_JoystickQuit | ( | void |  | ) |

Definition at line 419 of file SDL_xinputjoystick.c.

{
}

void SDL_XINPUT_JoystickUpdate | ( | SDL_Joystick * | joystick | ) |

Definition at line 409 of file SDL_xinputjoystick.c.

{
}